Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Interface AuthenticationManager

All Known Implementing Classes:
  AbstractAuthenticationManager, MockAuthenticationManager, ProviderManager

    public interface AuthenticationManager

Processes an `Authentication` request.

Version:
  $Id: AuthenticationManager.java,v 1.3 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex

Method Summary
`Authentication` | `authenticate(Authentication authentication)` Attempts to authenticate the passed `Authentication` object, returning a fully populated `Authentication` object (including granted authorities) if successful.

Method Detail

### authenticate

    Authentication authenticate(Authentication authentication)
                                throws AuthenticationException

  Attempts to authenticate the passed `Authentication` object, returning a fully populated `Authentication` object (including granted authorities) if successful.

  An `AuthenticationManager` must honour the following contract concerning exceptions:

  A `DisabledException` must be thrown if an account is disabled and the `AuthenticationManager` can test for this state.

  A `LockedException` must be thrown if an account is locked and the `AuthenticationManager` can test for account locking.

  A `BadCredentialsException` must be thrown if incorrect credentials are presented. Whilst the above exceptions are optional, an `AuthenticationManager` must always test credentials.

  Exceptions should be tested for and if applicable thrown in the order expressed above (ie if an account is disabled or locked, the authentication request is immediately rejected and the credentials testing process is not performed). This prevents credentials being tested against disabled or locked accounts.

  Parameters:
    `authentication` - the authentication request object
  Returns:
    a fully authenticated object including credentials
  Throws:
    `AuthenticationException` - if authentication fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.